# class MediaError

#### package js.html

Available on HTML5

The `MediaError` interface represents an error associated to a media, like a `HTMLMediaElement`.

Documentation MediaError by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/MediaError

### Variables

###

`read onlycode:Int`

An `unsigned short` that represents the error:

Name Value Description

`MEDIA_ERR_ABORTED` | `1` | The fetching of the associated ressource has been aborted by the user
`MEDIA_ERR_NETWORK` | `2` | A network error caused the ressource to stop being fetched.
`MEDIA_ERR_DECODE` | `3` | A decoding error caused the ressource to stop being fetched.
`MEDIA_ERR_SRC_NOT_SUPPORTED` | `4` | The associated ressource has been detected to be not suitable.

### Static variables

###

`staticinline read onlyMEDIA_ERR_ABORTED:Int = 1`

###

`staticinline read onlyMEDIA_ERR_DECODE:Int = 3`

###

`staticinline read onlyMEDIA_ERR_NETWORK:Int = 2`

###

`staticinline read onlyMEDIA_ERR_SRC_NOT_SUPPORTED:Int = 4`